package com.ruoyi.system.domain.to;

import javax.validation.constraints.NotBlank;
import java.util.StringJoiner;

/**
 * @ClassName: AMapUpdateDistrictTo
 * @Author: 于学智
 * @Description: 高德地图更新行政区划围栏TO
 * @CreateDate: 2023/9/14 16:19
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapUpdateDistrictTo extends AMapBaseTo {
    /**
     * 行政区划编码 参考行政区划编码表 必填
     */
    @NotBlank(message = "围栏行政区划编码禁止为空！")
    private String adcode;

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AMapUpdateDistrictTo.class.getSimpleName() + "[", "]")
                .add("adcode='" + adcode + "'")
                .toString();
    }
}
